<!DOCTYPE html>
<html>
  <head>
    <title>CooLPhoto</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <%= favicon_link_tag asset_path('favicon.ico'), :rel => 'icon', :type => "image/x-icon" %>
    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.8.1/baguetteBox.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Ranchers" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lobster" rel="stylesheet">
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.8.1/baguetteBox.min.js"></script>
  </head>

  <body>
  <header>
  <div id="menu" class="container">
    <nav class="navbar navbar-expand-lg navbar-light rounded">
      <a class="navbar-brand" href="/">
      <span class="color-nav"><%= title_view %></span>
      </a>
      <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <%= form_for feeds_index_path, :html => {:class => "form-inline my-2 my-md-0"}, :method => 'get' do %>
        <%= text_field_tag :search, params[:search], autocomplete: "off", class: "form-control mr-sm-2", placeholder: "Search for title!" %>
        <span>
          <button class="btn btn-search my-2 my-sm-0" type="submit">Search</button>
        </span>
      <% end %>

      <div class="navbar-collapse collapse justify-content-end" id="navbarsExample09">
        <% if user_signed_in? %>
        <a class="navbar-brand" href="/users<%= edit_user_info(current_user) %>edit"><%= avatar_user(current_user) %><span class="none-ava1"> <%= user_name_avatar(current_user) %></span></a>
        <% end %>
        <ul class="navbar-nav">
          <li class="nav-item">
            <%= sign_io_icon %><%= sign_in_out %>
          </li>
        </ul>
      </div>
    </nav>
  </div>
  </header>

  <% if user_signed_in? %>
  <div class="container">
    <div class="row">
      <div id="left-content" class="col-xl-2 col-sm-2 mb-3 col-12 text-center">
        <%= menu_app1(current_user) %><hr />
        <%= menu_app2(current_user) %><hr />
        <%= menu_app3(current_user) %><hr />
      </div>
      <div id="right-content" class="col-xl-10 col-sm-10 mb-3 col-12 mt-2">
        <div class="container">
          <%= yield %>
          <!-- Modal Image -->
          <div class="modal fade" id="mainModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div id="modal-image" class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel"></h5>
                  <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                  </button>
                </div>
                <div id="body-image" class="modal-body">
                </div>
                <div class="footer-image">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Logout Modal-->
  <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <a class="btn btn-primary" rel="nofollow" data-method="delete" href="/users/sign_out">Logout</a>
        </div>
      </div>
    </div>
  </div>
  <% else %>
    <%= yield %>
  <% end %>
  <%= javascript_include_tag "edit"  %>
  <%= javascript_include_tag "main", "data-turbolinks-track" => true  %>
  </body>
</html>
